<div fxLayout="row" class="main">

  <div fxFlexOffset="45%">

    <md-card class="center-text">

      <div>
        <img src="assets/img/Yum-logo-small.png">
        <h3>Forgot password?</h3>
      </div>

      <div>

        <p class="instructions"><small>Enter your email address below and we'll send you password reset instructions.</small></p>

        <form [formGroup]="forgotpwdForm" (ngSubmit)="forgotPwd()" autocomplete="off">

          <div>
            <md-input-container>
              <input mdInput type="text" formControlName="email" placeholder="Email">
              <md-error>
                <span *ngIf="forgotpwdForm.get('email').hasError('required')">Required</span>
                <span *ngIf="forgotpwdForm.get('email').hasError('pattern')">Please enter a valid email</span>
              </md-error>
            </md-input-container>
          </div>

          <div>
            <button md-button type="button" color="accent" class="button-strong-text" id="home-btn" (click)="gotoLogin()"><md-icon>home</md-icon></button>
            <button md-button type="submit" color="primary" class="button-strong-text" [disabled]="!forgotpwdForm.valid || loading" id="submit-btn">Reset password</button>
            <div class="working-spinner" *ngIf="loading">
              <md-spinner color="warn" class="small-md-spinner"></md-spinner>
            </div>
          </div>

        </form>

      </div>

    </md-card>

  </div>

</div>
